

## 2.1 Bitübertragungsschicht (OSI-Schicht 1) 物理层（OSI模型第1层）

Bei jeder Interaktion zwischen zwei Rechnern müssen die Daten früher oder später eine physische Distanz überbrücken. Die binären Daten eines Rechners werden für den physischen Transport aufbereitet und anschließend über ein Medium an einen anderen Rechner übertragen. Kann der andere Rechner aus dem Empfangenen die ursprünglichen Daten rekonstruieren, ist es gelungen, binäre Daten von einem Rechner an einen anderen zu übertragen.
在两个计算机之间的每次交互中，数据迟早必须跨越物理距离。一个计算机的二进制数据会被处理以便于物理传输，然后通过某种媒介传输到另一台计算机。如果接收方计算机能够从接收到的信号中重构出原始数据，那么数据已成功地从一个计算机传输到另一个计算机。

Protokolle der Bitübertragungsschicht beschäftigen sich mit genau diesem Problem. Sie legen fest, welches Medium benutzt wird und wie binäre Daten (Bits) als Signale auf das physische Medium moduliert werden. Dazu gehören mehrere Aspekte, die sicherstellen, dass alle Endpunkte auf die gleiche Art und Weise Daten übermitteln und interpretieren. Diese Aspekte lassen sich in vier Gruppen unterteilen:
物理层协议正是解决这个问题的。它们规定了使用哪种媒介，以及如何将二进制数据（比特）作为信号调制到物理媒介上。这涉及多个方面，以确保所有终端以相同的方式传输和解释数据。这些方面可以分为四组。

**Physikalische** Aspekte umfassen Eigenschaften des Mediums und der verwendeten Signale.
**物理**方面包括媒介的特性和所使用的信号。

**Mechanische** Eigenschaften spezifizieren u.A. die Bauform der Anschlüsse an das Medium.
**机械**方面指定了与媒介连接的接口的结构形式。

**Funktionale** Spezifikationen definieren die Benutzung des Mediums, z.B. Pin-Belegung und Takt.
**功能性**规范定义了媒介的使用方式，例如引脚分配和时钟。

**Prozedurale** Beschreibungen enthalten Elementarereignisse und deren Bedeutung, z.B. den genauen Ablauf zur Übertragung einer SDU.
**过程性**描述包括基本事件及其含义，例如传输一个 SDU 的确切流程。

Heute handelt es sich bei dem Medium meist um Kupfer, Lichtwellenleiter oder "Luft". Die Signale werden in der Regel so gewählt, dass sie deutlich voneinander unterscheidbar sind, da Signale durch Störeinflüsse leicht verfälscht werden können. Eine SDU auf Schicht 1 muss nicht genau ein Bit sein. Ein Schicht 1 Protokoll kann auch die parallele Übertragung von mehreren Bits gleichzeitig spezifizieren.
如今，媒介通常是铜线、光导纤维或“空气”。信号通常被设计为明显不同，以便于区分，因为信号容易受到干扰的影响而失真。在第 1 层上，一个 SDU 不一定对应于一个比特。第 1 层协议还可以指定多个比特的并行传输。

Durch äußere Störeinflüsse können Amplitude, Frequenz und Phase eines Signals bei der Übertragung verändert werden. Komponenten der Schicht 1 verarbeiten Signale dahingehend, dass eingehende Signale als Signalzustände entsprechend der Spezifikation aufgefasst werden (Diskretisierung). Die Umwandlung in Bits ist ein weiterer Arbeitsschritt, der in der Regel nur von Komponenten, die auch eine Schicht 2 implementieren, durchgeführt werden muss. Gängige Schicht 1 Komponenten sind Repeater, Multiport-Repeater (Hubs) und Wavelength Division Multiplexer (WDMs).
外部干扰可能会改变信号在传输过程中的幅度、频率和相位。第 1 层的组件处理信号的方式是将接收到的信号解释为符合规格的信号状态（离散化）。将信号转换为比特是另一个工作步骤，通常只有那些同时实现第 2 层的组件才需要完成此步骤。常见的第 1 层组件包括中继器、多端口中继器（集线器）和波分复用器（WDMs）。



### 2.1.1 Repeater und Hubs 中继器和集线器

Ein Repeater verfügt über genau zwei Anschlüsse. Ein eingehendes Signal auf einem Anschluss wird verstärkt auf dem anderen Anschluss ausgegeben. Repeater können eingesetzt werden, um das Problem der Dämpfung zu überwinden und Signale über längere Distanzen zu übertragen, als es die Sendeleistung des ursprünglichen Senders erlaubt. Die logische Weiterentwicklung des Repeaters ist der Hub. Dieser verfügt über mehrere Anschlüsse und gibt ein eingehendes Signal an allen anderen Anschlüssen verstärkt wieder aus.
中继器（Repeater）通常有两个接口。当一个接口收到信号时，信号会被增强并从另一个接口输出。中继器可以用来解决信号衰减的问题，使信号传输距离超过原始发送器的功率限制。中继器的进一步发展就是集线器（Hub）。集线器具有多个接口，能够将一个接口接收到的信号增强后发送到所有其他接口。



### 2.1.2 Wavelength Division Multiplexer 波分复用器

Implementieren optische Sendestationen das selbe Schicht 1 Protokoll, so verwenden sie meist die selben Wellenlängen zur Signalisierung. Treffen diese Signale in einem gemeinsamen Medium aufeinander, entstehen Überlagerungen (Kollisionen), so dass kein Empfänger die ursprünglichen Daten rekonstruieren kann. Bei einem Aufbau, in dem mehrere Sender Signale auf dem selben Medium versenden, so dass Kollisionen entstehen können, spricht man von einer Kollisionsdomäne.
在光学发送站中，若使用相同的第一层协议，通常会使用相同的波长进行信号传输。当这些信号在同一媒介中相遇时，就会产生叠加（碰撞），导致接收端无法还原原始数据。若在同一媒介上多个发送端同时发送信号，造成碰撞的可能性，这种结构被称为碰撞域。

WDMs bilden mehrere eingehende optische Signale auf unterschiedliche, disjunkte Bereiche des Farbspektrums (Kanäle) einer ausgehenden Leitung ab (Multiplex). Dadurch kann die Leitung mehrere Signale gleichzeitig tragen, ohne dass es zu Interferenzen kommt.
波分复用器（WDMs）将多个入射光信号映射到不同的、互不重叠的色谱范围（通道）上，通过一条输出线路（复用）。这样，线路可以同时承载多个信号，而不会产生干扰。



können alle eingehenden Signale gleichzeitig über eine einzelne ausgehende Leitung übertragen werden, ohne Kollisionen zu erzeugen. Abbildung 2.1 zeigt einen WDM, der drei eingehende Signale A, B und C auf eine ausgehende Leitung moduliert. Diese Technik setzt man häufig ein, wenn der Aufwand zusätzliche Leitungen zu verlegen hoch ist. In Abbildung 2.1 sind A, B und C optische Signale der selben Schicht 1 Implementierung (z.B. 1 Gbps Ethernet, Monomode) und verwenden deshalb die selbe Wellenlänge für die Datenübertragung. Im WDM werden die Wellenlängen der eingehenden Signale modifiziert, so dass keine Überlagerung mehr stattfindet wenn die Signale in der ausgehenden Leitung aufeinander treffen.
所有传入的信号可以同时通过一条输出线路传输，而不会产生碰撞。图 2.1 显示了一个波分复用器（WDM），它将三个输入信号 A、B 和 C 调制到一条输出线路上。当增加额外线路的成本很高时，通常会使用这种技术。图 2.1 中的 A、B 和 C 是相同的第 1 层实现的光信号（例如 1 Gbps 以太网，单模），因此使用相同的波长进行数据传输。在 WDM 中，输入信号的波长会被调整，以避免当信号进入输出线路时产生重叠。

Am anderen Ende der Leitung empfängt ein Demultiplexer das zusammengesetzte Signal. Dieser trennt das empfangene Signal auf, moduliert die Teilsignale zurück auf ihre ursprüngliche Form und sendet die Signale auf separaten Leitungen weiter.
在线路的另一端，一个解复用器接收组合信号。该设备将接收到的信号分离，将每个子信号调制回其原始形式，并通过独立的线路发送这些信号。

## 2.2 Sicherungsschicht (OSI-Schicht 2) 数据链路层（OSI模型第 2 层）

Zu den Hauptaufgaben der Sicherungsschicht gehört Rahmenbildung (bzw. Blockbildung). Darunter versteht man die Gruppierung von Bits zu logischen Einheiten, den PDUs der Schicht 2 (Rahmen oder Blöcke, bzw. engl. frames oder blocks). Eine Basiskomponente der Schicht 2 ist die Bridge (bzw. “Brücke”). Eine Bridge ist eine Schicht 2 Komponente, die zwei Teilnetze (mit möglicherweise verschiedenen Übertragungstechniken) miteinander verbindet, also eine Brücke dazwischen bildet. Dazu muss sie eingehende Signale interpretieren und zu Rahmen zusammensetzen. Erst der vollständige Rahmen wird in das andere Teilnetz übertragen. Diese Technik heißt “store and forward”, da die Bridge eingehende Daten (Bits) speichert (store), bis der Rahmen vollständig empfangen wurde und erst im Anschluss daran den Rahmen weiterleitet (forward). Eine Bridge mit mehr als zwei Anschlüssen heißt Switch oder Multiport-Bridge.
数据链路层的主要任务之一是帧构建（或称块构建），即将比特分组为逻辑单元，即第 2 层的 PDU（帧或块）。第 2 层的基本组件之一是桥接器（Bridge）。桥接器是第 2 层组件，它连接两个子网（可能使用不同的传输技术），因此在它们之间形成了一个桥。为此，它必须解释接收到的信号并将其组装成帧。只有完整的帧才会被传输到另一个子网。这种技术被称为“存储和转发”（store and forward），因为桥接器会先存储（store）接收到的数据（比特），直到帧完全接收后才转发（forward）该帧。具有两个以上端口的桥接器被称为交换机（Switch）或多端口桥（Multiport-Bridge）。















